// Main Configuration file
//

const DBAuth = require('../../private/DBAuth');


module.exports = {
  server: {
    enableSSL: false,
    ssl: {
      cert: '',
      key: '',
      passphrase: ''
    },
    port: 3000
  },

  mongoURL: `mongodb://${DBAuth.username}:${DBAuth.password}@ds159489.mlab.com:59489/framez_db`,

  defaults: {
    user: {
      avatar: 'http://www.top-madagascar.com/assets/images/admin/user-admin.png'
    }
  },

  validators: {
    account: {
      password_min_length: 8,
      username_min_length: 3
    }
  },

  logging: {
    logsPath: 'Logs',
    fileLogLevel: 'silly',
    consoleLogLevel: 'silly'
  },

  // Password hash
  salt_work_factor: 10
};
