const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const Frame = new Schema({
  name: String,
  icon: {type: String, default: 'https://image.flaticon.com/icons/png/128/847/847930.png'},
  admin: {type: Schema.Types.ObjectId, ref: 'Account'},
  members: {type: [Schema.Types.ObjectId], default: [], ref: 'Account'},
  viewerKeys: {type: [String], default: []},
});

module.exports = mongoose.model('Frame', Frame);
